com.sun.syndication.io.impl

## Class Atom10Parser

- java.lang.Object
- - com.sun.syndication.io.impl.BaseWireFeedParser
  - - com.sun.syndication.io.impl.Atom10Parser

All Implemented Interfaces:
  WireFeedParser

    public class Atom10Parser
    extends BaseWireFeedParser

Parser for Atom 1.0

### Constructor Summary

Constructors
`` `Atom10Parser()`
`protected` `Atom10Parser(java.lang.String type)`

### Method Summary

Methods
`protected org.jdom.Namespace` `getAtomNamespace()`
`static boolean` `getResolveURIs()`
`static boolean` `isAbsoluteURI(java.lang.String uri)`
`boolean` `isMyType(org.jdom.Document document)` Inspects an XML Document (JDOM) to check if it can parse it.
`static boolean` `isRelativeURI(java.lang.String uri)` Returns true if URI is relative.
`WireFeed` `parse(org.jdom.Document document, boolean validate)` Parses an XML document (JDOM Document) into a feed bean.
`protected java.util.List` `parseEntries(Feed feed, java.lang.String baseURI, java.util.List eEntries)`
`protected Entry` `parseEntry(Feed feed, org.jdom.Element eEntry, java.lang.String baseURI)`
`static Entry` `parseEntry(java.io.Reader rd, java.lang.String baseURI)` Parse entry from reader.
`protected WireFeed` `parseFeed(org.jdom.Element eFeed)`
`static java.lang.String` `resolveURI(java.lang.String baseURI, org.jdom.Parent parent, java.lang.String url)` Resolve URI via base URL and parent element.
`static void` `setResolveURIs(boolean resolveURIs)`
`protected void` `validateFeed(org.jdom.Document document)`

### Methods inherited from class com.sun.syndication.io.impl.BaseWireFeedParser

`extractForeignMarkup, getAttribute, getAttributeValue, getType, parseFeedModules, parseItemModules, parsePersonModules`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Atom10Parser

    public Atom10Parser()

#### Atom10Parser

    protected Atom10Parser(java.lang.String type)

### Method Detail

#### setResolveURIs

    public static void setResolveURIs(boolean resolveURIs)

#### getResolveURIs

    public static boolean getResolveURIs()

#### getAtomNamespace

    protected org.jdom.Namespace getAtomNamespace()

#### isMyType

    public boolean isMyType(org.jdom.Document document)

Description copied from interface: `WireFeedParser`
Inspects an XML Document (JDOM) to check if it can parse it.

It checks if the given document if the type of feeds the parser understands.

Parameters:
  `document` - XML Document (JDOM) to check if it can be parsed by this parser.
Returns:
  true if the parser know how to parser this feed, false otherwise.

#### parse

    public WireFeed parse(org.jdom.Document document,
                 boolean validate)
                   throws java.lang.IllegalArgumentException,
                          FeedException

Description copied from interface: `WireFeedParser`
Parses an XML document (JDOM Document) into a feed bean.

Parameters:
  `document` - XML document (JDOM) to parse.
  `validate` - indicates if the feed should be strictly validated (NOT YET IMPLEMENTED).
Returns:
  the resulting feed bean.
Throws:
  `java.lang.IllegalArgumentException` - thrown if the parser cannot handle the given feed type.
  `FeedException` - thrown if a feed bean cannot be created out of the XML document (JDOM).

#### validateFeed

    protected void validateFeed(org.jdom.Document document)
                         throws FeedException

Throws:
  `FeedException`

#### parseFeed

    protected WireFeed parseFeed(org.jdom.Element eFeed)
                          throws FeedException

Throws:
  `FeedException`

#### parseEntries

    protected java.util.List parseEntries(Feed feed,
                              java.lang.String baseURI,
                              java.util.List eEntries)

#### parseEntry

    protected Entry parseEntry(Feed feed,
                   org.jdom.Element eEntry,
                   java.lang.String baseURI)

#### isAbsoluteURI

    public static boolean isAbsoluteURI(java.lang.String uri)

#### isRelativeURI

    public static boolean isRelativeURI(java.lang.String uri)

Returns true if URI is relative.

#### resolveURI

    public static java.lang.String resolveURI(java.lang.String baseURI,
                              org.jdom.Parent parent,
                              java.lang.String url)

Resolve URI via base URL and parent element. Resolve URI based considering xml:base and baseURI.

Parameters:
  `baseURI` - Base URI used to fetch the XML document
  `parent` - Parent element from which to consider xml:base
  `url` - URL to be resolved

#### parseEntry

    public static Entry parseEntry(java.io.Reader rd,
                   java.lang.String baseURI)
                            throws org.jdom.JDOMException,
                                   java.io.IOException,
                                   java.lang.IllegalArgumentException,
                                   FeedException

Parse entry from reader.

Throws:
  `org.jdom.JDOMException`
  `java.io.IOException`
  `java.lang.IllegalArgumentException`
  `FeedException`